Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.pages
Class MarkupHTML

    java.lang.Object
      net.sf.statcvs.pages.AbstractMarkup
          net.sf.statcvs.pages.MarkupHTML

All Implemented Interfaces:
  MarkupSyntax

public class MarkupHTML
extends AbstractMarkup
implements MarkupSyntax

Version:
  $Id: MarkupHTML.java,v 1.7 2009/08/19 22:11:15 benoitx Exp $
Author:
  Richard Cyganiak (richard@cyganiak.de)

Method Summary
`String` | `endSection1()`
`String` | `endSection2()`
`String` | `getEndOfPage()`
`String` | `getExtension()` Extension for report pages, e.g.
`String` | `getHeader(String pageName, String stylesheetURL, String charSet)`
`static MarkupSyntax` | `getInstance()`
`String` | `getTableFormat()`
`String` | `startSection1(String title)`
`String` | `startSection2(String title)`
`String` | `startSection2(String title, String id)`
`String` | `toString()`

Methods inherited from class net.sf.statcvs.pages.AbstractMarkup
`addTwitterScript`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static MarkupSyntax getInstance()

### getExtension

    public String getExtension()

  Description copied from interface: `MarkupSyntax`
  Extension for report pages, e.g. `html`

  Specified by:
    `getExtension` in interface `MarkupSyntax`

### getHeader

    public String getHeader(String pageName,
                            String stylesheetURL,
                            String charSet)

  Specified by:
    `getHeader` in interface `MarkupSyntax`

### getEndOfPage

    public String getEndOfPage()

  Specified by:
    `getEndOfPage` in interface `MarkupSyntax`

### startSection1

    public String startSection1(String title)

  Specified by:
    `startSection1` in interface `MarkupSyntax`

### endSection1

    public String endSection1()

  Specified by:
    `endSection1` in interface `MarkupSyntax`

### startSection2

    public String startSection2(String title)

  Specified by:
    `startSection2` in interface `MarkupSyntax`

### startSection2

    public String startSection2(String title,
                                String id)

  Specified by:
    `startSection2` in interface `MarkupSyntax`

### endSection2

    public String endSection2()

  Specified by:
    `endSection2` in interface `MarkupSyntax`

### getTableFormat

    public String getTableFormat()

  Specified by:
    `getTableFormat` in interface `MarkupSyntax`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD